Bug 1304851 - RHCI server installs with redhat-release-workstation instead of redhat-release-server
RHCI server installs with redhat-release-workstation instead of redhat-releas...
Status: VERIFIED
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: ISO Installer (Show other bugs)
1.0
All Linux
medium Severity medium
: TP2
: 1.0
Assigned To: John Matthews
Tasos Papaioannou
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-04 14:07 EST by Tasos Papaioannou
Modified: 2016-04-29 12:19 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tasos Papaioannou 2016-02-04 14:07:30 EST
Description of problem:

RHCI server appears to install RHEL Workstation instead of RHEL Server. Satellite 6 requires RHEL Server as the base operating system. Is there a reason Workstation is used here?

Version-Release number of selected component (if applicable):

RHCI-6.0-RHEL-7-20160201.t.0

How reproducible:

100%

Steps to Reproduce:
1.) Install RHCI server.
2.) See that RHEL Workstation is installed:

# cat /etc/redhat-release 
Red Hat Enterprise Linux Workstation release 7.1 (Maipo)

# rpm -qa redhat-release\*
redhat-release-workstation-7.1-1.el7.x86_64


Actual results:

RHCI server installs with RHEL Workstation.

Expected results:

RHCI server installs with RHEL Server.

Additional info:
Comment 1 John Matthews 2016-02-05 08:58:01 EST
We believe this is an issue with tags being pulled in for the RCM version.

We don't see this problem with the engineering composes:

Latest non-RCM compose has:
[root@rhci ~]# rpm -qa | grep redhat-release
redhat-release-server-7.1-1.el7.x86_64

[root@rhci ~]# cat /etc/redhat-release
Red Hat Enterprise Linux Server release 7.1 (Maipo)



Requesting another respin of ISO from RCM.
Comment 2 John Matthews 2016-02-05 14:01:11 EST
Addressed by RCM in
RHCI-6.0-RHEL-7-20160205.1
Comment 3 Tasos Papaioannou 2016-02-08 16:01:55 EST
Verified on RHCI-6.0-RHEL-7-20160205.1:

ISO:

# ls /mnt/iso/Packages/redhat-release*
/mnt/iso/Packages/redhat-release-server-7.1-1.el7.x86_64.rpm

Installed RHCI server:

# rpm -qa redhat-release\*
redhat-release-server-7.1-1.el7.x86_64

Note You need to log in before you can comment on or make changes to this bug.